Cancel Table Sheet Operation
curl --request DELETE \
--url https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/operations/{operation_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/operations/{operation_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/api/public/v2/tables/{table_id}/sheets/{sheet_id}/operations/{operation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"operation_id": "<string>",
"execution_ids": [
"<string>"
],
"cancelled_cell_count": 123,
"not_started_reset_count": 123,
"running_invalidated_count": 123
}{
"success": false,
"message": "<string>",
"error": "<string>"
}{
"success": false,
"message": "<string>",
"error": "<string>"
}Cancel Table Sheet Operation
Cancel a Table sheet operation.
DELETE
/
api
/
public
/
v2
/
tables
/
{table_id}
/
sheets
/
{sheet_id}
/
operations
/
{operation_id}
Cancel Table Sheet Operation
an active recalculation operation for a Table sheet.
If no active execution exists for the provided
operation_id, the endpoint returns success with zero cancelled cells.Authorizations
Headers
Your PromptLayer API key. The key's workspace scopes table resources for this request.
Path Parameters
Table ID.
Table sheet ID.
Operation ID.
Was this page helpful?
โI

